#include <bits/stdc++.h>
#define ll long long

using namespace std;

int niz[2000010];

int main()
{
	ios::sync_with_stdio(false);
	cin.tie(0);

	int n,k;
	cin>>n>>k;
	int x;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        niz[x+n]++;
    }
    int sum=0;
    for(int i=0;i<=2*n;i++)
        if(niz[i]>=k)
            sum++;
    cout<<sum<<endl;

    for(int i=0;i<=2*n;i++)
        if(niz[i]>=k)
            cout<<(i-n)<<" ";

	return 0;
}